Bug 211383 - regression: kernel 2.6.18-1.2200.fc5 crashes gui applications
regression: kernel 2.6.18-1.2200.fc5 crashes gui applications
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
5
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 17:07 EDT by Mark Smith
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 19:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
back trace of xclock crash (6.87 KB, text/plain)
2006-10-18 17:07 EDT, Mark Smith
no flags Details

  None (edit)
Description Mark Smith 2006-10-18 17:07:22 EDT
Description of problem:
ssh -X <ppc64host> 
# xclock  (or firefox or any gui)
with FC5 stock kernel: 2.6.15-1.2054_FC5  all is OK.
# yum update 
 and reboot with new 2.6.18-1.2200.fc5 kernel and 
 repeat, but apps crash.

Version-Release number of selected component (if applicable):
FC5  yum update to latest

How reproducible:easy
  
Actual results:
gui apps crash

Expected results:
success

Additional info:
I really did search for a duplicate but could not find any hits for kernel 
version & libc.so.6    :-)

*** buffer overflow detected ***: xclock terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x68)[0xf6c4728]
/lib/libc.so.6(__vsprintf_chk+0x0)[0xf6c38a0]
/lib/libc.so.6(_IO_default_xsputn+0xf0)[0xf63a360]
/lib/libc.so.6(_IO_vfprintf+0x14ac)[0xf60c97c]
/lib/libc.so.6(__vsprintf_chk+0xc0)[0xf6c3960]
/lib/libc.so.6(__sprintf_chk+0x68)[0xf6c3878]
/usr/lib/libfontconfig.so.1[0xfded094]

I believe other symptoms are vnc sessions coming up blank (with color, not 
black, but no desktop)
Comment 1 Mark Smith 2006-10-18 17:07:22 EDT
Created attachment 138834 [details]
back trace of xclock crash
Comment 2 Mark Smith 2006-10-31 18:48:21 EST
This easily recreates even after re-installing FC5-gold again.
With "yum update" I notice that there are 2 kernels installed, whereas only 1 
removed from the previous update.

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kernel                  ppc64      2.6.18-1.2200.fc5  updates            18 M
 kernel                  ppc        2.6.18-1.2200.fc5  updates            16 M
Removing:
 kernel                  ppc        2.6.17-1.2187_FC5  installed          43 M

the ppc64 kernel is what this system runs on.
Could there be some incompatibility between X and the ppc64 version?
Comment 3 Behdad Esfahbod 2006-12-12 15:30:24 EST
God, oh god, why me!
Comment 4 Behdad Esfahbod 2006-12-12 15:32:44 EST
Oh, ok, now I see.  It's in fontconfig.  Ok, I know what the problem is. 
Halfline, do you have that ppc64 patch to fontconfig around?
Comment 5 Ray Strode [halfline] 2006-12-12 15:53:26 EST
attachment 134041 [details] (from bug 202152)
Comment 6 Behdad Esfahbod 2006-12-12 21:28:58 EST
Ok, I've built a package, should hit Updates Testing tomorrow.  Can you test
please Mark?
Comment 7 Mark Smith 2006-12-13 21:36:20 EST
sweet!   fixed it. thanks!  specifically fontconfig-2.3.94-2 from 
updates-testing repository

Note You need to log in before you can comment on or make changes to this bug.